import datetime
from db_helper import RedisHelper
from config import set_config
from log import Log

config_, env = set_config()
log_ = Log()
initial_param = {'data': 'data1', 'rule': 'rule4'}


def get_religion_videos(now_date):
    """获取宗教视频列表"""
    redis_helper = RedisHelper()
    religion_key_name = f"{config_.KEY_NAME_PREFIX_RELIGION_VIDEOS}{datetime.datetime.strftime(now_date, '%Y%m%d')}"
    if not redis_helper.key_exists(religion_key_name):
        redis_dt = datetime.datetime.strftime((now_date - datetime.timedelta(days=1)), '%Y%m%d')
        religion_key_name = f"{config_.KEY_NAME_PREFIX_RELIGION_VIDEOS}{redis_dt}"
    religion_videos = redis_helper.get_all_data_from_zset(key_name=religion_key_name, desc=True, with_scores=True)
    return religion_videos


def merge_with_region(now_date, now_h, region):




def merge_videos(now_date, now_h):
    """将宗教视频插入到默认视频列表中"""
    # 获取宗教视频列表
    religion_videos = get_religion_videos(now_date=now_date)
    religion_video_id_list = [int(video_id) for video_id, _ in religion_videos]
